Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Static Protected Member Functions | List of all members
eZNodeviewfunctions Class Reference

The class eZNodeviewfunctions does. More...

## Static Public Member Functions
static | generateNodeView ( $tpl, $node, $object, $languageCode, $viewMode, $offset, $cacheDir, $cachePath, $viewCacheEnabled, $viewParameters=array( 'offset'=> 0, 'year'=> false, 'month'=> false, 'day'=> false), $collectionAttributes=false, $validation=false)
static | generateCallback ( $file, $args)
static | generateNodeViewData (eZTemplate $tpl, eZContentObjectTreeNode $node, eZContentObject $object, $languageCode, $viewMode, $offset, array $viewParameters=array( 'offset'=> 0, 'year'=> false, 'month'=> false, 'day'=> false), $collectionAttributes=false, $validation=false)
static | generateViewCacheFile ( $user, $nodeID, $offset, $layout, $language, $viewMode, $viewParameters=false, $cachedViewPreferences=false, $viewCacheTweak='')
static | contentViewRetrieve ( $file, $mtime, $args)
static | contentViewGenerate ( $file, $args)

## Static Protected Member Functions
static | contentViewGenerateError (eZModule $Module, $error, $store=true, array $errorParameters=array())

## Detailed Description

The class eZNodeviewfunctions does.

Definition at line 17 of file eznodeviewfunctions.php.

## Member Function Documentation

## ◆ contentViewGenerate()

static eZNodeviewfunctions::contentViewGenerate | ( |  | $file,
|  |  | $args
| ) |  |
| static

Generate convent view data

See also
  contentViewRetrieve()

Parameters

  string | false | $file | File in which the result will be cached
  array | $args | Hash containing arguments, the used ones are: NodeID Module tpl LanguageCode ViewMode Offset viewParameters collectionAttributes validation noCache (optional)

Returns
  array

Definition at line 567 of file eznodeviewfunctions.php.

References eZPersistentObject\attribute(), eZContentObjectTreeNode\canRead(), eZContentObjectTreeNode\checkAccess(), contentViewGenerateError(), eZContentObjectTreeNode\fetch(), generateNodeViewData(), eZDB\instance(), eZError\KERNEL_ACCESS_DENIED, eZError\KERNEL_NO_DB_CONNECTION, eZError\KERNEL_NOT_AVAILABLE, and eZContentObjectTreeNode\showInvisibleNodes().

## ◆ contentViewGenerateError()

static eZNodeviewfunctions::contentViewGenerateError | ( | eZModule | $Module,
|  |  | $error,
|  |  | $store = `true`,
|  | array | $errorParameters = `array()`
| ) |  |
| static protected

Parameters

  eZModule | $Module |
  int | $error |
  bool | $store |
  array | $errorParameters |

Returns
  array

Definition at line 633 of file eznodeviewfunctions.php.

References eZModule\handleError().

Referenced by contentViewGenerate().

## ◆ contentViewRetrieve()

static eZNodeviewfunctions::contentViewRetrieve | ( |  | $file,
|  |  | $mtime,
|  |  | $args
| ) |  |
| static

Retrieve content view data

See also
  contentViewGenerate()

Parameters

  string | $file |
  int | $mtime | File modification time
  array | $args | Hash containing arguments, the used ones are: ini

Returns
  \eZClusterFileFailure

Definition at line 421 of file eznodeviewfunctions.php.

References eZTemplateDesignResource\instance(), and eZContentObject\isCacheExpired().

## ◆ generateCallback()

static eZNodeviewfunctions::generateCallback | ( |  | $file,
|  |  | $args
| ) |  |
| static

Definition at line 40 of file eznodeviewfunctions.php.

## ◆ generateNodeView()

static eZNodeviewfunctions::generateNodeView | ( |  | $tpl,
|  |  | $node,
|  |  | $object,
|  |  | $languageCode,
|  |  | $viewMode,
|  |  | $offset,
|  |  | $cacheDir,
|  |  | $cachePath,
|  |  | $viewCacheEnabled,
|  |  | $viewParameters = `array( 'offset' => 0, 'year' => false, 'month' => false, 'day' => false )`,
|  |  | $collectionAttributes = `false`,
|  |  | $validation = `false`
| ) |  |
| static

Definition at line 20 of file eznodeviewfunctions.php.

References eZClusterFileHandler\instance().

Referenced by eZContentCacheManager\generateObjectViewCache().

## ◆ generateNodeViewData()

static eZNodeviewfunctions::generateNodeViewData | ( | eZTemplate | $tpl,
|  | eZContentObjectTreeNode | $node,
|  | eZContentObject | $object,
|  |  | $languageCode,
|  |  | $viewMode,
|  |  | $offset,
|  | array | $viewParameters = `array( 'offset' => 0, 'year' => false, 'month' => false, 'day' => false )`,
|  |  | $collectionAttributes = `false`,
|  |  | $validation = `false`
| ) |  |
| static

Generate result data for a node view

Parameters

  eZTemplate | $tpl |
  eZContentObjectTreeNode | $node |
  eZContentObject | $object |
  bool | string | $languageCode |
  string | $viewMode |
  int | $offset |
  array | $viewParameters |
  bool | array | $collectionAttributes |
  bool | $validation |

Returns
  array Result array for view

Definition at line 76 of file eznodeviewfunctions.php.

References eZPersistentObject\attribute(), eZContentObjectTreeNode\currentLanguage(), eZSection\fetch(), eZTemplate\fetch(), eZTemplate\hasVariable(), eZTemplateDesignResource\instance(), eZContentObjectTreeNode\isMain(), eZContentObject\mainNode(), eZContentObjectTreeNode\setCurrentLanguage(), eZTemplate\setVariable(), eZTemplate\templateFetchList(), and eZTemplate\variable().

Referenced by contentViewGenerate().

## ◆ generateViewCacheFile()

static eZNodeviewfunctions::generateViewCacheFile | ( |  | $user,
|  |  | $nodeID,
|  |  | $offset,
|  |  | $layout,
|  |  | $language,
|  |  | $viewMode,
|  |  | $viewParameters = `false`,
|  |  | $cachedViewPreferences = `false`,
|  |  | $viewCacheTweak = `''`
| ) |  |
| static

Definition at line 280 of file eznodeviewfunctions.php.

References eZSys\cacheDirectory(), eZUserDiscountRule\fetchIDListByUserID(), eZDir\filenamePath(), eZSys\indexFile(), eZSys\isSSLNow(), eZDir\path(), eZSiteAccess\TYPE_URI, and eZPreferences\values().

Referenced by eZContentCacheManager\generateObjectViewCache().

The documentation for this class was generated from the following file:

- eznodeviewfunctions.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.